diff --git a/src/config.mk.ac b/src/config.mk.ac
index b1061d9..374bc77 100755
--- a/src/config.mk.ac
+++ b/src/config.mk.ac
@@ -18,7 +18,7 @@ gomroot          = $(libdir)/$(gomsubdir)
 gomdataroot      = $(datadir)/$(gomsubdir)
 gombindir        = $(gomroot)/bin
 gomincdir        = $(includedir)/$(gomsubdir)
-gomlibdir        = $(gomroot)/bin
+gomlibdir        = $(gomroot)/GENTOOLIBDIR
 # Tcl/Tk entries.
 TCL_LIBRARY      = @TCL_LIBRARY@
 TK_LIBRARY       = @TK_LIBRARY@
diff --git a/src/plugins/Makefile b/src/plugins/Makefile
index bb9af64..cf8a97d 100755
--- a/src/plugins/Makefile
+++ b/src/plugins/Makefile
@@ -22,7 +22,7 @@ all install install-local uninstall: FORCE
 build compile clean clean-libs clean-objs: FORCE
 	-@for dir in *; do \
 	    if test -f "$$dir/Makefile"; then \
-		( cd "$$dir" && $(MAKE) $(MFLAGS) $@ ) ;\
+		( cd "$$dir" && $(MAKE) $(MFLAGS) $@ ) || exit 1;\
 	    fi ;\
 	done
 
diff --git a/src/plugins/config.mk.ac b/src/plugins/config.mk.ac
index 03e3f6b..eb30ea8 100755
--- a/src/plugins/config.mk.ac
+++ b/src/plugins/config.mk.ac
@@ -11,7 +11,7 @@ gomdataroot      = ${datadir}/${gomsubdir}
 gombindir        = ${gomroot}/bin
 gomincdir        = ${gomsrcdir}/include/gomlib
 #INS gomincdir        = ${includedir}/${gomsubdir}
-gomlibdir        = ${gomroot}/bin
+gomlibdir        = ${gomroot}/GENTOOLIBDIR
 gomsrcdir        = @abs_top_srcdir@
 gombltdir        = @abs_top_builddir@
 #INS gomsrcdir        = ${gomroot}/src
diff --git a/src/plugins/rules.mk b/src/plugins/rules.mk
index d41ed47..da133c6 100755
--- a/src/plugins/rules.mk
+++ b/src/plugins/rules.mk
@@ -43,12 +43,12 @@ $(LIBRARY): $(libdeps)
 	@$(RM) alldeps.dT
 
 link-CC: FORCE
-	$(GOM_LINK_CC) $(PLUG_CFLAGS) -o $(LIBRARY) $(OBJECTS) \
-	    $(PLUG_LDFLAGS) $(PLUG_LIBS) $(GOM_LINKFLAGS)
+	$(GOM_LINK_CC) $(GOM_LINKFLAGS) $(PLUG_CFLAGS) -o $(LIBRARY) $(OBJECTS) \
+	    $(PLUG_LDFLAGS) $(PLUG_LIBS)
 
 link-CXX: FORCE
-	$(GOM_LINK_CXX) $(PLUG_CXXFLAGS) -o $(LIBRARY) $(OBJECTS) \
-	    $(PLUG_LDFLAGS) $(PLUG_LIBS) $(GOM_LINKFLAGS)
+	$(GOM_LINK_CXX) $(GOM_LINKFLAGS) $(PLUG_CXXFLAGS) -o $(LIBRARY) $(OBJECTS) \
+	    $(PLUG_LDFLAGS) $(PLUG_LIBS)
 
 # Rule to compile the source files.
 # First make:
diff --git a/src/unix/make/install.mk b/src/unix/make/install.mk
index 3018946..98c061a 100755
--- a/src/unix/make/install.mk
+++ b/src/unix/make/install.mk
@@ -36,7 +36,7 @@ mkinstalldirs: mkinstalldirs-local mkinstalldirs-shared FORCE ;
 mkinstalldirs-local: FORCE
 	$(MKDIR_P) '$(gomroot)' || test -d '$(gomroot)'
 	@$(set_show); set -e; \
-	for dir in bin src/plugins src/unix; do \
+	for dir in bin lib src/plugins src/unix; do \
 	    dir='$(gomroot)'/$$dir; \
 	    $$show $(MKDIR_P) "$$dir"; \
 	    $(MKDIR_P) "$$dir" || test -d "$$dir"; \
diff --git a/src/unix/make/utility.mk.ac b/src/unix/make/utility.mk.ac
index 21ad59d..ee25ac7 100755
--- a/src/unix/make/utility.mk.ac
+++ b/src/unix/make/utility.mk.ac
@@ -47,8 +47,7 @@ BINARIES_F   = ambera2b$(EXEEXT) \
                xmol2bamber$(EXEEXT) \
                xplor2charmm$(EXEEXT) \
                gridasc2plt$(EXEEXT) \
-               gridbin2plt$(EXEEXT) \
-               icon8$(EXEEXT)
+               gridbin2plt$(EXEEXT)
 
 BINARIES_JAR = xvibs.jar
 
@@ -76,13 +75,13 @@ $(OBJECTS_C):
 	$(CC) -c $? $(CPPFLAGS) $(CFLAGS)
 
 $(BINARIES_C):
-	$(CC) -o $@ $? $(CPPFLAGS) $(CFLAGS) $(STD_LIBS) $(LDFLAGS)
+	$(CC) $(LDFLAGS) -o $@ $? $(CPPFLAGS) $(CFLAGS) $(STD_LIBS)
 
 $(BINARIES_CXX):
-	$(CXX) -o $@ $? $(CPPFLAGS) $(CXXFLAGS) $(STD_LIBS) $(LDFLAGS)
+	$(CXX) $(LDFLAGS) -o $@ $? $(CPPFLAGS) $(CXXFLAGS) $(STD_LIBS)
 
 $(BINARIES_F):
-	$(F77) -o $@ $? $(FFLAGS) $(STD_LIBS) $(LDFLAGS)
+	$(F77) $(LDFLAGS) -o $@ $? $(FFLAGS) $(STD_LIBS)
 
 $(BINARIES_JAR):
 	cp $? $@
